package net.mc_pandacraft.java.plugin.pandacraftutils.commands;

import net.mc_pandacraft.java.plugin.pandacraftutils.ConfigManager;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

public class CommandAdmin extends AbstractCommandExecutor {

	public CommandAdmin() {
		super("admin");
	}

	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label,
			String[] args) {
		if (args.length == 0) return false;
		
		
		if (args[0].equalsIgnoreCase("reload")) {
			ConfigManager.reloadConfig();
			sender.sendMessage(ChatColor.GREEN+"La configuration de PandacraftUtils viens d'être rechargée");
			return true;
		}
		if (args[0].equalsIgnoreCase("version")) {
			sender.sendMessage(ChatColor.GREEN+plugin.getDescription().getFullName());
			return true;
		}
		
		
		return false;
	}


}
